// ConfigShutdownParameterDlg.h : header file
//

#if !defined(AFX_CONFIGDLG_H__5FEF8EBF_8802_49D1_8C7F_83F1BD89351B__INCLUDED_)
#define AFX_CONFIGDLG_H__5FEF8EBF_8802_49D1_8C7F_83F1BD89351B__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

#include "Resource.h"
#include "../ConfigFile.h"
//#include ""
#include "afxwin.h"
#include "..\shutdownKernel\ups.h"

//imachine added 2010.07.15 close the window
static UINT uMsgExit = RegisterWindowMessage("Exit");


class CConfigShutdownParameterDlg : public CDialog
{
	DECLARE_DYNAMIC(CConfigShutdownParameterDlg)

public:
	CConfigShutdownParameterDlg(CWnd* pParent = NULL); 
	virtual ~CConfigShutdownParameterDlg();

	virtual BOOL OnInitDialog();

	virtual BOOL PreCreateWindow(CREATESTRUCT& cs);

	enum { IDD = IDD_CONFIG };

protected:
	virtual void DoDataExchange(CDataExchange* pDX); 
	virtual void PostNCDestroy();
	afx_msg void OnTimer(UINT nIDEvent);

	DECLARE_MESSAGE_MAP()
public:
	CComboBox       m_SearchType;/**/
	CString         m_szSearchType;
	CComboBox       m_CommuniPort;/**/
	CString         m_szCommuniPort;

	CComboBox		m_pCommandTime;/**/
	CString			m_szPort;//
	CString			m_szCmd;//
	CString			m_CommandDelayTime;//
	SHUTDOWNPARAM	m_ShutdownParam;
	SHUTDOWNPARAM	*m_pShutdownParam;

	CComboBox		m_CtlAcFail;/**/
	CString			m_szAcFaile;//
	CComboBox		m_CtlSDNeed;/**/
	CString			m_szSDNeed;//
	CConfigFile		m_fileConfig;
	HANDLE			m_hUpdateConfig;
	HANDLE			m_hUpdateConfigForComm;
	HICON			m_hIcon;

	//imachine added 2010.07.12
	HANDLE			m_hUpdateStatusThread;
	HANDLE			m_hUpdateConnectionEvent;

public:
	void InitShutdownParam(PSHUTDOWNPARAM pShutdownParam);

public:
	afx_msg void OnPaint();
	afx_msg void OnBnClickedOK();
	afx_msg void OnBnClickedBncancl();	
public:
	afx_msg void OnStnClickedStaticComPort();
	afx_msg void OnCbnSelchangeCmdSearchType();
private:
	void SortComNo(TCHAR szComNo[][MAX_PORTNAME_LEN], int uComNum);

public:
	friend DWORD WINAPI UpdateConnectionStatus(LPVOID);	//imachine added 2010.07.12

	//imachine added 2010.07.15 close the window
	afx_msg	LRESULT OnMsgExit ( WPARAM   wParam,   LPARAM   lParam );

	//imachine added 2010.08.24
	int TestCommandExec();
};
#endif
